Subject: Re: New version of rsa-sha2-256 draft: Back to PKCS#1 v1.5

From: denis bider <[email-masked]>
Date: Fri, 13 Nov 2015 13:23:16 +0000

The format of the private key is OpenSSH, yes. I can also export in PuTTY or Bitvise format, but I'm not sure either of those would be more helpful... :)

You can also send me an RSA public key (e.g. in standard SSH format, or OpenSSH format) and I can import it, if you like.

----- Original Message -----
From: Peter Gutmann 
Sent: Thursday, November 12, 2015 21:18
To: denis bider 
Cc: [email-masked] ; [email-masked] ; [email-masked] ; [email-masked] 
Subject: RE: New version of rsa-sha2-256 draft: Back to PKCS#1 v1.5

denis bider <[email-masked]> writes:

>Alright - I have enabled CBC mode algorithms to make testing easier.

OK, that worked:

  Testing SSH session...
  Remote host: experiment.bitvise.com:10712.
  Attempt to activate SSH client session failed with error code -22, line 1129.
  Error message = 'Server reported: Invalid password'.
  (Incorrect username/password, continuing...)

This is some generic test code, so it tries to feed in a default password,
thus the "invalid password".  What format is the private key the banner in?
It looks OpenSSL-ey...

Peter.